名前空間
変種
操作

std::system_error::system_error

提供: cppreference.com
< cpp‎ | error‎ | system error

 
 
ユーティリティライブラリ
支援を入力します (basic types, RTTI, type traits)
動的なメモリ管理
エラー処理
プログラムユーティリティ
可変個引数関数
日付と時刻
関数オブジェクト
initializer_list(C++11)
bitset
hash(C++11)
関係演算子
Original:
Relational operators
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
rel_ops::operator!=
rel_ops::operator>
rel_ops::operator<=
rel_ops::operator>=
ペアとタプル
Original:
Pairs and tuples
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
pair
tuple(C++11)
piecewise_construct_t(C++11)
piecewise_construct(C++11)
フォワード、スワップ、および移動
Original:
Swap, forward and move
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
swap
forward(C++11)
move(C++11)
move_if_noexcept(C++11)
declval(C++11)
 
エラー処理
例外処理
Original:
Exception handling
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
exception
uncaught_exception
exception_ptr(C++11)
make_exception_ptr(C++11)
current_exception(C++11)
rethrow_exception(C++11)
nested_exception(C++11)
throw_with_nested(C++11)
rethrow_if_nested(C++11)
例外処理の失敗
Original:
Exception handling failures
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
terminate
terminate_handler
get_terminate(C++11)
set_terminate
unexpected(廃止予定)
bad_exception
unexpected_handler(廃止予定)
get_unexpected(C++11)(廃止予定)
set_unexpected(廃止予定)
例外カテゴリ
Original:
Exception categories
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
logic_error
invalid_argument
domain_error
length_error
out_of_range
runtime_error
range_error
overflow_error
underflow_error
エラーコード
Original:
Error codes
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
エラーコード
errno
アサーション
Original:
Assertions
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
assert
SYSTEM_ERROR施設
Original:
system_error facility
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
error_category(C++11)
generic_category(C++11)
system_category(C++11)
error_condition(C++11)
errc(C++11)
error_code(C++11)
system_error(C++11)
 
std::system_error
メンバ関数
Original:
Member functions
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
system_error::system_error
system_error::code
system_error::what
 
system_error( std::error_code ec );
(1) (C++11およびそれ以降)
system_error( std::error_code ec, const std::string& what_arg );
(2) (C++11およびそれ以降)
system_error( std::error_code ec, const char* what_arg );
(2) (C++11およびそれ以降)
system_error( int ev, const std::error_category& ecat
(3) (C++11およびそれ以降)
system_error( int ev, const std::error_category& ecat,
              const std::string& what_arg);
(4) (C++11およびそれ以降)
system_error( int ev, const std::error_category& ecat,
              const char* what_arg);
(4) (C++11およびそれ以降)
新しいシステムエラーオブジェクトを構築します.
Original:
Constructs new system error object.
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
1)
エラーコードecによりオブジェクトを構築します
Original:
Constructs with error code ec
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
2)
エラーコードecと説明文字列what_argによりオブジェクトを構築します。 what()によって返される文字列はwhat_argが含まれていることが保証されている.
Original:
Constructs with error code ec and explanation string what_arg. The string returned by what() is guaranteed to contain what_arg.
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
3)
根本的なエラーコードevとそれ​​に関連するエラーのカテゴリとコンストラクトecat.
Original:
Constructs with underlying error code ev and associated error category ecat.
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
4)
根本的なエラーコードev、関連したエラー·カテゴリecatと説明しているストリングのwhat_argによりオブジェクトを構築します。 what()によって返される文字列はwhat_argが含まれていることが保証されている.
Original:
Constructs with underlying error code ev, associated error category ecat and explanatory string what_arg. The string returned by what() is guaranteed to contain what_arg.
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.

[編集] パラメータ

ec -
エラーコード
Original:
error code
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
ev -
ベース符号化におけるエラーコード
Original:
error code in base encoding
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
ecat -
エラーのカテゴリ
Original:
the category of error
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.
what_arg -
説明しているストリング
Original:
explanatory string
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.

[編集]

errno値からSYSTEM_ERROR例外を作成する方法を示します
Original:
Demonstrates how to create a system_error exception from a errno value
The text has been machine-translated via Google Translate.
You can help to correct and verify the translation. Click here for instructions.

#include <iostream>
#include <system_error>
 
int main()
{
    try
    {
        throw std::system_error(EDOM, std::system_category());
    }
    catch (const std::system_error& error)
    {
        std::cout << "Error: " << error.code()
                  << " - " << error.code().message() << '\n';
    }
}

Output:

Error: system:33 - Numerical argument out of domain